Agents API

Create agent

post
https://api.dev.poly.ai/v1/agents

Body

application/json

CreateAgentBody

* Additional properties are NOT allowed.
namestringrequired

>= 1 characters<= 100 characters

agentIdstring

Match pattern:^[a-zA-Z0-9-]+$

responseSettingsobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
voiceSettingsobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
llmSettingsobject
* Additional properties are NOT allowed.
Show Child Parameters
experimentalConfigobject
* Additional properties are NOT allowed.
Show Child Parameters

Response

200 application/json

Created agent

CreateAgentResponse

* Additional properties are NOT allowed.
accountIdstringrequired
agentIdstringrequired
agentNamestringrequired
createdAtstringrequired
updatedAtstringrequired
branchCountnumberrequired
post/v1/agents

Body

{ "name": "name", "responseSettings": { "greeting": "greeting" }, "voiceSettings": { "voiceId": "voiceId" } }
 
200 application/json

Delete agent

delete
https://api.dev.poly.ai/v1/agents/{agentId}

Response

204

Agent deleted

delete/v1/agents/{agentId}
 
204

Duplicate agent

post
https://api.dev.poly.ai/v1/agents/{agentId}/duplicate

Body

application/json

DuplicateAgentBody

* Additional properties are NOT allowed.
newAgentIdstring

Match pattern:^[a-zA-Z0-9-]+$

newAgentNamestringrequired

>= 1 characters<= 100 characters

Response

200 application/json

Duplicated agent

CreateAgentResponse

* Additional properties are NOT allowed.
accountIdstringrequired
agentIdstringrequired
agentNamestringrequired
createdAtstringrequired
updatedAtstringrequired
branchCountnumberrequired
post/v1/agents/{agentId}/duplicate

Body

{ "newAgentName": "newAgentName" }
 
200 application/json

List branches

get
https://api.dev.poly.ai/v1/agents/{agentId}/branches

Response

200

List of branches

get/v1/agents/{agentId}/branches
 
200

Create branch

post
https://api.dev.poly.ai/v1/agents/{agentId}/branches

Body

application/json

CreateBranchBody

* Additional properties are NOT allowed.
branchNamestringrequired

>= 1 characters<= 100 characters

Response

201

Branch created

post/v1/agents/{agentId}/branches

Body

{ "branchName": "branchName" }
 
201